Class | Spec::Runner::Formatter::FailingExamplesFormatter
In: | lib/spec/runner/formatter/failing_examples_formatter.rb
Parent: | BaseTextFormatter

### Methods

dump_failure dump_summary example_failed

### Public Instance methods

dump_failure(counter, failure)

[Source]

        # File lib/spec/runner/formatter/failing_examples_formatter.rb, line 12
    12:         def dump_failure(counter, failure)
    13:         end

dump_summary(duration, example_count, failure_count, pending_count)

[Source]

        # File lib/spec/runner/formatter/failing_examples_formatter.rb, line 15
    15:         def dump_summary(duration, example_count, failure_count, pending_count)
    16:         end

example_failed(example, counter, failure)

[Source]

        # File lib/spec/runner/formatter/failing_examples_formatter.rb, line 7
     7:         def example_failed(example, counter, failure)
     8:           @output.puts "#{example_group.description} #{example.description}"
     9:           @output.flush
    10:         end

[Validate]